Package org.apache.wiki

# Interface WikiProvider

All Superinterfaces:
  `org.apache.wiki.api.providers.WikiProvider`

All Known Subinterfaces:
  `WikiAttachmentProvider`, `WikiPageProvider`

@Deprecated public interface WikiProvider extends org.apache.wiki.api.providers.WikiProvider
Deprecated.
- implement directly `WikiProvider`.
Hooks all WikiProviders not using the public API into it.

See Also:
  - `WikiProvider`

## Field Summary

### Fields inherited from interface org.apache.wiki.api.providers.WikiProvider

`LATEST_VERSION`

## Method Summary

Modifier and Type
Method
Description
`default void`
`initialize(org.apache.wiki.api.core.Engine engine, Properties properties)`
Deprecated.
Initializes the page provider.
`default void`
`initialize(org.apache.wiki.WikiEngine engine, Properties properties)`
Deprecated.
Initializes the page provider.

### Methods inherited from interface org.apache.wiki.api.providers.WikiProvider

`getProviderInfo`

## Method Details

### initialize

default void initialize(org.apache.wiki.api.core.Engine engine, Properties properties) throws org.apache.wiki.api.exceptions.NoRequiredPropertyException, IOException
Deprecated.
Initializes the page provider.

Specified by:
  `initialize` in interface `org.apache.wiki.api.providers.WikiProvider`
Parameters:
  `engine` - Engine to own this provider
  `properties` - A set of properties used to initialize this provider
Throws:
  `org.apache.wiki.api.exceptions.NoRequiredPropertyException` - If the provider needs a property which is not found in the property set
  `IOException` - If there is an IO problem

### initialize

default void initialize(org.apache.wiki.WikiEngine engine, Properties properties) throws org.apache.wiki.api.exceptions.NoRequiredPropertyException, IOException
Deprecated.
Initializes the page provider.

Parameters:
  `engine` - Engine to own this provider
  `properties` - A set of properties used to initialize this provider
Throws:
  `org.apache.wiki.api.exceptions.NoRequiredPropertyException` - If the provider needs a property which is not found in the property set
  `IOException` - If there is an IO problem